LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 08-09-2014, 08:32 AM   #91
Totoro-kun
Member
 
Registered: Nov 2010
Location: Kaunas, Lithuania
Distribution: Slackware
Posts: 219

Rep: Reputation: 101Reputation: 101

Mainly because there is no clear instructions on how to fully switch Slackware system to PulseAudio. Plus Slack supports and uses Alsa by default. Doing it this way seems to me like most clean. Also, I have other computers whith alsa and programs using it confugured to my liking and now to switch sound server... I would try Pulse only system on this T61 if it would mean working microphone

Last edited by Totoro-kun; 08-09-2014 at 03:26 PM.
 
1 members found this post helpful.
Old 08-09-2014, 09:11 AM   #92
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 7,531

Rep: Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885Reputation: 5885
I would agree with Totoro-kun that it is better to configure PulseAudio to use ALSA for output. That way, it is supportive of everything that needs it but does not take over your Slackware sound system.

Totoro-kun, why don't you write an article on docs.slackware.com about your setup? It never hurts to get the documentation for exotic configuration stuff like this centralized a bit.

Eric
 
Old 08-09-2014, 02:33 PM   #93
coldbeer
Member
 
Registered: May 2006
Location: Orion–Cygnus Arm, MWG
Distribution: Slackware, Ubuntu
Posts: 249

Rep: Reputation: 130Reputation: 130
Quote:
Originally Posted by Drakeo View Post

This whole Skype fiasco is like as Penny would say: "HOLY CRAP ON A CRACKER!".

Just for the benefit of others who, like me, don't know zip about pulseaudio:

So I downloaded Drakeo's tar (Thank you, Drakeo!), and proceeded to run the installme.sh. Installed all. I already had Bob's multilib installed.

Ran Skype. It did come up but no sound, no mic. Options->SoundDevices showed "Virtual Device" for all.

I did manage to run pacmd (just because I saw it) and it said pulseaudio was not running.

Found the command "pulseaudio" and ran it:
bash-4.2$ pulseaudio
E: [pulseaudio] module.c: Failed to load module "module-alsa-sink" (argument: "device=dmix"): initialization failed.
E: [pulseaudio] main.c: Module load failed.
E: [pulseaudio] main.c: Failed to initialize daemon.

I edited /etc/pulse/default.pa and as suggested tried hw:0,0 for the load-module commands. Still erroring out on startup. So I used the defaults:

## Make some devices default
set-default-sink output
set-default-source input

which allowed pulseaudio to start at least.

Then I found this:

http://askubuntu.com/questions/71863...uring-playback

and ran pacmd in interactive mode (no args)

>>> list-sinks
1 sink(s) available.
* index: 0
name: <alsa_output.pci-0000_00_1b.0.analog-stereo>
driver: <module-alsa-card.c>
...

>>>list-sources
2 source(s) available.
* index: 0
name: <alsa_output.pci-0000_00_1b.0.analog-stereo.monitor>
driver: <module-alsa-card.c>
.....
index: 1
name: <alsa_input.pci-0000_00_1b.0.analog-stereo>
driver: <module-alsa-card.c>

then tried
>>> set-default-sink 0
>>> set-default-source 0

which got my playback on skype working but no mic. The mixer button on Skype->Options->SoundDevices had the playback muted and on the inputs I did notice that the mic was working - just not with skype.

So
>>> set-default-source 1
And it all worked.

Set these back in the /etc/pulse/defaults.pa file:
## Make some devices default
set-default-sink 0
set-default-source input 1

Rebooted and pulseaudio now loads on boot and Skype works!

Hope this helps someone else.

Last edited by coldbeer; 08-09-2014 at 03:19 PM.
 
4 members found this post helpful.
Old 08-10-2014, 01:57 AM   #94
Totoro-kun
Member
 
Registered: Nov 2010
Location: Kaunas, Lithuania
Distribution: Slackware
Posts: 219

Rep: Reputation: 101Reputation: 101
Thank you very much for sharing coldbeer!

This way Mic works. With this configuration PulseAudio becomes default sound server and programs cannot use alsa if another program is using Pulse. I have to check configurations for another programs like exaile, Vlc, etc to use Pulse, because in this kind of setup, you can't really use Alsa directly. This is a problem to me, as I support some other people using Slack, which live far away. I can update skype/Pulse audio stuff via ssh, but other settings will bring some work over telephone. Oh well, at least it works

P.S.
I'll try to find time to put my configuration into document and perhaps it'll make int into docs.slackware.com Alien Bob. But if anyone else wants to do it first, please do It would be useful to have a document on PulseAudio.

Last edited by Totoro-kun; 08-10-2014 at 02:04 AM.
 
Old 08-11-2014, 07:21 AM   #95
amaro
Member
 
Registered: Jun 2014
Distribution: Slackware 14.1 on HP 6910p
Posts: 50

Rep: Reputation: 2
Quote:
Originally Posted by willysr View Post
I ran skype with pulseaudio 5 and it's working fine here
Quote:
Originally Posted by Paulo2 View Post
Same here, pulseaudio from SBo: "pulseaudio 5.0-rebootstrapped"

I installed the following on Slackware 14.1 32 bit
Code:
json-c
speex-1.2
pulseaudio-5.0
skype-4.3.0.37
gtkmm-3.2
libcanberra-0.29
sigc
libffi-5.0
pavucontrol-2.0
After that when I run in terminal
Code:
pavucontrol
I get
Code:
(pavucontrol:3797): Gtk-WARNING **: Theme parsing error: gtk.css:67:18: Not using units is deprecated. Assuming 'px'.

(pavucontrol:3797): Gtk-WARNING **: Theme parsing error: gtk.css:67:20: Not using units is deprecated. Assuming 'px'.

(pavucontrol:3797): Gtk-CRITICAL **: gtk_main_quit: assertion `main_loops != NULL' failed
What is wrong?
 
Old 08-11-2014, 07:34 AM   #96
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,849

Rep: Reputation: Disabled
Quote:
Originally Posted by amaro View Post
What is wrong?
You are missing dependencies. Here is the queue pavucontrol.sqf generated with "sqg -p pavucontrol":
Code:
libasyncns
mm-common
libsigc++
glibmm
cairomm
pangomm
atkmm
gtkmm3
speex
json-c
pulseaudio
pavucontrol
 
Old 08-11-2014, 08:18 AM   #97
amaro
Member
 
Registered: Jun 2014
Distribution: Slackware 14.1 on HP 6910p
Posts: 50

Rep: Reputation: 2
Quote:
Originally Posted by Didier Spaier View Post
You are missing dependencies.
Thank you for your quick reply, Didier!
Installed everything you suggested and here is the new output:
Code:
(pavucontrol:5084): Gtk-WARNING **: Theme parsing error: gtk.css:67:18: Not using units is deprecated. Assuming 'px'.

(pavucontrol:5084): Gtk-WARNING **: Theme parsing error: gtk.css:67:20: Not using units is deprecated. Assuming 'px'.

(pavucontrol:5084): Gtk-CRITICAL **: gtk_main_quit: assertion `main_loops != NULL' failed
 
Old 08-11-2014, 08:36 AM   #98
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,849

Rep: Reputation: Disabled
Quote:
Originally Posted by amaro View Post
Installed everything you suggested and here is the new output:
Code:
(pavucontrol:5084): Gtk-WARNING **: Theme parsing error: gtk.css:67:18: Not using units is deprecated. Assuming 'px'.

(pavucontrol:5084): Gtk-WARNING **: Theme parsing error: gtk.css:67:20: Not using units is deprecated. Assuming 'px'.

(pavucontrol:5084): Gtk-CRITICAL **: gtk_main_quit: assertion `main_loops != NULL' failed
Just to make sure, I would run commands given in this post. It won't take long as that will skip already installed packages.
 
Old 08-11-2014, 08:58 AM   #99
amaro
Member
 
Registered: Jun 2014
Distribution: Slackware 14.1 on HP 6910p
Posts: 50

Rep: Reputation: 2
Did you mean this one?
Code:
ldd /usr/bin/skype
If so, it shows
Code:
        linux-gate.so.1 (0xffffe000)
	libXv.so.1 => /usr/lib/libXv.so.1 (0xb5498000)
	libXss.so.1 => /usr/lib/libXss.so.1 (0xb5495000)
	librt.so.1 => /lib/librt.so.1 (0xb548c000)
	libdl.so.2 => /lib/libdl.so.2 (0xb5487000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb534f000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0xb533d000)
	libQtDBus.so.4 => /usr/lib/libQtDBus.so.4 (0xb52bc000)
	libQtWebKit.so.4 => /usr/lib/libQtWebKit.so.4 (0xb3c02000)
	libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xb3bc0000)
	libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xb30e9000)
	libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xb2f9c000)
	libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xb2cad000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb2c93000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb2bab000)
	libm.so.6 => /lib/libm.so.6 (0xb2b69000)
	libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb2b4d000)
	libc.so.6 => /lib/libc.so.6 (0xb29c1000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb29a1000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb299e000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb2998000)
	/lib/ld-linux.so.2 (0xb77d2000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb295f000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb28d1000)
	libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0xb281c000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb2812000)
	libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb26ab000)
	libgstapp-0.10.so.0 => /usr/lib/libgstapp-0.10.so.0 (0xb26a0000)
	libgstinterfaces-0.10.so.0 => /usr/lib/libgstinterfaces-0.10.so.0 (0xb268f000)
	libgstpbutils-0.10.so.0 => /usr/lib/libgstpbutils-0.10.so.0 (0xb2672000)
	libgstvideo-0.10.so.0 => /usr/lib/libgstvideo-0.10.so.0 (0xb265f000)
	libgstbase-0.10.so.0 => /usr/lib/libgstbase-0.10.so.0 (0xb2624000)
	libgstreamer-0.10.so.0 => /usr/lib/libgstreamer-0.10.so.0 (0xb256f000)
	libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb2520000)
	libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb251c000)
	libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb251a000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb23c1000)
	libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb2293000)
	libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb2267000)
	libz.so.1 => /lib/libz.so.1 (0xb2251000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb2249000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb2230000)
	libbz2.so.1 => /lib/libbz2.so.1 (0xb221f000)
	libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb21f7000)
	libffi.so.6 => /usr/lib/libffi.so.6 (0xb21f1000)
	libresolv.so.2 => /lib/libresolv.so.2 (0xb21d7000)
	liblzma.so.5 => /lib/liblzma.so.5 (0xb21b1000)
	libuuid.so.1 => /lib/libuuid.so.1 (0xb21ac000)
 
Old 08-11-2014, 09:01 AM   #100
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,849

Rep: Reputation: Disabled
No, I meant post #74 of this thread, that I reproduce below with a small correction:

For those of use who run Slackware 32-bit (no multilib), assuming that sqg is a symlink to or an alias of /usr/doc/sbopkg-0.37.0/contrib/sqg:
Code:
sqg -p pulsauadio 
sbopkg -k -i pulseaudio (choose Queuefile)
sqg -p pavucontrol
sbopkg -k -i pavucontrol (idem)
Not that much of a hassle, IMO.

Last edited by Didier Spaier; 08-11-2014 at 09:02 AM.
 
Old 08-11-2014, 09:28 AM   #101
amaro
Member
 
Registered: Jun 2014
Distribution: Slackware 14.1 on HP 6910p
Posts: 50

Rep: Reputation: 2
Sorry, Didier, my javascript was disabled and your code did not show! Enabled javascript and it's there. I am not as experienced as you are, so no hassle for you may not mean no hassle for me. I will run the commands and post the results.
Thank you for your guidance and benevolence!
 
Old 08-11-2014, 10:12 AM   #102
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,849

Rep: Reputation: Disabled
Don't be sorry Amaro, I should have indicated the post number and will do that from now on when linking to a post. I'm sure you'll soon be more experienced than me and about the hassle, what I really meant is that's much easier to use these commands than to find all the dependencies reading each README one at a time, then building and installing manually the packages in the proper order.

Last edited by Didier Spaier; 08-11-2014 at 10:37 AM. Reason: typos corrected
 
Old 08-11-2014, 10:47 AM   #103
amaro
Member
 
Registered: Jun 2014
Distribution: Slackware 14.1 on HP 6910p
Posts: 50

Rep: Reputation: 2
So far not good
Code:
bash-4.2# sqg -a
Processing all SlackBuilds in the SBo/14.1 repo...Done.
bash-4.2# sqg -p pulseaudio
Processing pulseaudio.
Done.
bash-4.2# sbopkg -k -i pulseaudio
Both a queuefile and a package were found with the name "pulseaudio".

Use (Q)ueuefile, (P)ackage, or (A)bort?: Q
No valid packages found. Exiting.
bash-4.2# sqg -p pavucontrol
Processing pavucontrol.
Done.
bash-4.2# sbopkg -k -i pavucontrol
Both a queuefile and a package were found with the name "pavucontrol".

Use (Q)ueuefile, (P)ackage, or (A)bort?: Q

###########################################
       New queue process started on:
       Mon Aug 11 18:21:13 EEST 2014
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the SBo repository for Slackware 14.1
Queue Process:  Download, build, and install

libasyncns:
  Checking GPG for libasyncns.tar.gz ... OK
  Processing libasyncns 0.8-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

mm-common:
  Checking GPG for mm-common.tar.gz ... OK
  Processing mm-common 0.9.6-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

libsigc++:
  Checking GPG for libsigc++.tar.gz ... OK
  Processing libsigc++ 2.2.11-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

glibmm:
  Checking GPG for glibmm.tar.gz ... OK
  Processing glibmm 2.36.2-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

cairomm:
  Checking GPG for cairomm.tar.gz ... OK
  Processing cairomm 1.10.0-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

pangomm:
  Checking GPG for pangomm.tar.gz ... OK
  Processing pangomm 2.34.0-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

atkmm:
  Checking GPG for atkmm.tar.gz ... OK
  Processing atkmm 2.22.7-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

gtkmm3:
  Checking GPG for gtkmm3.tar.gz ... OK
  Processing gtkmm3 3.8.1-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?: P


Processing libasyncns

libasyncns:
libasyncns not found in /var/cache/sbopkg.
--2014-08-11 18:21:56--  http://0pointer.de/lennart/projects/libasyncns/libasyncns-0.8.tar.gz
Resolving 0pointer.de (0pointer.de)... 85.214.72.216
Connecting to 0pointer.de (0pointer.de)|85.214.72.216|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 349240 (341K) [application/x-gzip]
Saving to: ‘libasyncns-0.8.tar.gz’

100%[======================================>] 349,240      456KB/s   in 0.7s   

2014-08-11 18:22:00 (456 KB/s) - ‘libasyncns-0.8.tar.gz’ saved [349240/349240]

Found libasyncns-0.8.tar.gz in /var/cache/sbopkg.
Checking MD5SUM:
  MD5SUM check for libasyncns-0.8.tar.gz ... FAILED!
    Expected: 1f553d6ce1ad255bc83b3d8e9384f515
    Found:    3300f1b02420f2e8fcddbfdd4b067265

Do you want to use the downloaded libasyncns source:
libasyncns-0.8.tar.gz in /var/cache/sbopkg?

You can choose among the following options:
 - (Y)es, keep the source and continue the build process;
 - (N)o, delete the source and abort the build process; or
 - (R)etry download and continue the build process.

(Y)es, (N)o, (R)etry?: Y
    Keeping the source and continuing.
Building package for libasyncns...
libasyncns-0.8/
libasyncns-0.8/LICENSE
libasyncns-0.8/config.guess
libasyncns-0.8/compile
libasyncns-0.8/config.h.in
libasyncns-0.8/Makefile.in
libasyncns-0.8/libasyncns.pc.in
libasyncns-0.8/depcomp
libasyncns-0.8/config.rpath
libasyncns-0.8/m4/
libasyncns-0.8/m4/lt~obsolete.m4
libasyncns-0.8/m4/attributes.m4
libasyncns-0.8/m4/ltoptions.m4
libasyncns-0.8/m4/search_function.m4
libasyncns-0.8/m4/ltversion.m4
libasyncns-0.8/m4/zp_lynx_doc.m4
libasyncns-0.8/m4/acx_pthread.m4
libasyncns-0.8/m4/libtool.m4
libasyncns-0.8/m4/ltsugar.m4
libasyncns-0.8/Makefile.am
libasyncns-0.8/bootstrap.sh
libasyncns-0.8/missing
libasyncns-0.8/ltmain.sh
libasyncns-0.8/configure.ac
libasyncns-0.8/configure
libasyncns-0.8/install-sh
libasyncns-0.8/doxygen/
libasyncns-0.8/doxygen/doxygen.conf.in
libasyncns-0.8/doxygen/Makefile.in
libasyncns-0.8/doxygen/Makefile.am
libasyncns-0.8/aclocal.m4
libasyncns-0.8/libasyncns/
libasyncns-0.8/libasyncns/Makefile.in
libasyncns-0.8/libasyncns/asyncns.h
libasyncns-0.8/libasyncns/Makefile.am
libasyncns-0.8/libasyncns/asyncns.c
libasyncns-0.8/libasyncns/asyncns-test.c
libasyncns-0.8/config.sub
libasyncns-0.8/doc/
libasyncns-0.8/doc/style.css
libasyncns-0.8/doc/Makefile.in
libasyncns-0.8/doc/README.html
libasyncns-0.8/doc/Makefile.am
libasyncns-0.8/doc/README.html.in
libasyncns-0.8/doc/README
libasyncns-0.8/README
libasyncns.SlackBuild.build: line 54: ./configure: Permission denied

libasyncns:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?: N

+++++++++++++++++++++++++++++++++++++++++++
SUMMARY LOG
Using the SBo repository for Slackware 14.1
Queue Process:  Download, build, and install

libasyncns:
  MD5SUM check for libasyncns-0.8.tar.gz ... FAILED!
    Expected: 1f553d6ce1ad255bc83b3d8e9384f515
    Found:    3300f1b02420f2e8fcddbfdd4b067265
    Keeping the source and continuing.
  Error occurred with build.  Please check the log.

+++++++++++++++++++++++++++++++++++++++++++

###########################################
          Queue process complete!
###########################################
This is surprising for me because here it shows pulseaudio is installed
Attached Thumbnails
Click image for larger version

Name:	Screenshot.png
Views:	20
Size:	5.2 KB
ID:	16097  
 
Old 08-11-2014, 11:21 AM   #104
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,849

Rep: Reputation: Disabled
Quote:
Originally Posted by amaro View Post
This is surprising for me because here it shows pulseaudio is installed
pulseaudio is indeed installed, but not pavucontrol's so-called run-time dependencies: programs and/or libraries that are not needed to compile pavucontrol, but are needed to run it.

From the prompt bash-4.2# in the code you posted I assume that you executed the commands with root privileges, granted typing:
Code:
su
Instead, you should execute these commands as user root instead, (i.e. with root's own environment). To become root, type
Code:
su -
then try again.

EDIT. Probably that's not the cause of your issue. I now see this in the code you posted:
Code:
Checking MD5SUM:
  MD5SUM check for libasyncns-0.8.tar.gz ... FAILED!
    Expected: 1f553d6ce1ad255bc83b3d8e9384f515
    Found:    3300f1b02420f2e8fcddbfdd4b067265
Do you want to use the downloaded libasyncns source:
libasyncns-0.8.tar.gz in /var/cache/sbopkg?

You can choose among the following options:
 - (Y)es, keep the source and continue the build process;
 - (N)o, delete the source and abort the build process; or
 - (R)etry download and continue the build process.

(Y)es, (N)o, (R)etry?: Y
So you chose to keep a possibly corrupt source file.

Last edited by Didier Spaier; 08-11-2014 at 11:48 AM. Reason: EDIT added.
 
Old 08-11-2014, 11:45 AM   #105
amaro
Member
 
Registered: Jun 2014
Distribution: Slackware 14.1 on HP 6910p
Posts: 50

Rep: Reputation: 2
Code:
bash-4.2# su -
root@darkstar:~# sqg -p pulseaudio
Processing pulseaudio.
Done.
root@darkstar:~# sbopkg -k -i pulseaudio
Both a queuefile and a package were found with the name "pulseaudio".

Use (Q)ueuefile, (P)ackage, or (A)bort?: Q
No valid packages found. Exiting.
root@darkstar:~# sqg -p pavucontrol
Processing pavucontrol.
Done.
root@darkstar:~# sbopkg -k -i pavucontrol
Both a queuefile and a package were found with the name "pavucontrol".

Use (Q)ueuefile, (P)ackage, or (A)bort?: Q

###########################################
       New queue process started on:
       Mon Aug 11 19:40:38 EEST 2014
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the SBo repository for Slackware 14.1
Queue Process:  Download, build, and install

libasyncns:
  Checking GPG for libasyncns.tar.gz ... OK
  Processing libasyncns 0.8-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

mm-common:
  Checking GPG for mm-common.tar.gz ... OK
  Processing mm-common 0.9.6-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

libsigc++:
  Checking GPG for libsigc++.tar.gz ... OK
  Processing libsigc++ 2.2.11-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

glibmm:
  Checking GPG for glibmm.tar.gz ... OK
  Processing glibmm 2.36.2-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

cairomm:
  Checking GPG for cairomm.tar.gz ... OK
  Processing cairomm 1.10.0-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

pangomm:
  Checking GPG for pangomm.tar.gz ... OK
  Processing pangomm 2.34.0-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

atkmm:
  Checking GPG for atkmm.tar.gz ... OK
  Processing atkmm 2.22.7-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

gtkmm3:
  Checking GPG for gtkmm3.tar.gz ... OK
  Processing gtkmm3 3.8.1-1
  Using original .info file
  Using original SlackBuild file
  No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?: P


Processing libasyncns

libasyncns:
Found libasyncns-0.8.tar.gz in /var/cache/sbopkg.
Checking MD5SUM:
  MD5SUM check for libasyncns-0.8.tar.gz ... FAILED!
    Expected: 1f553d6ce1ad255bc83b3d8e9384f515
    Found:    3300f1b02420f2e8fcddbfdd4b067265

Do you want to use the downloaded libasyncns source:
libasyncns-0.8.tar.gz in /var/cache/sbopkg?

You can choose among the following options:
 - (Y)es, keep the source and continue the build process;
 - (N)o, delete the source and abort the build process; or
 - (R)etry download and continue the build process.

(Y)es, (N)o, (R)etry?: Y
    Keeping the source and continuing.
Building package for libasyncns...
libasyncns-0.8/
libasyncns-0.8/LICENSE
libasyncns-0.8/config.guess
libasyncns-0.8/compile
libasyncns-0.8/config.h.in
libasyncns-0.8/Makefile.in
libasyncns-0.8/libasyncns.pc.in
libasyncns-0.8/depcomp
libasyncns-0.8/config.rpath
libasyncns-0.8/m4/
libasyncns-0.8/m4/lt~obsolete.m4
libasyncns-0.8/m4/attributes.m4
libasyncns-0.8/m4/ltoptions.m4
libasyncns-0.8/m4/search_function.m4
libasyncns-0.8/m4/ltversion.m4
libasyncns-0.8/m4/zp_lynx_doc.m4
libasyncns-0.8/m4/acx_pthread.m4
libasyncns-0.8/m4/libtool.m4
libasyncns-0.8/m4/ltsugar.m4
libasyncns-0.8/Makefile.am
libasyncns-0.8/bootstrap.sh
libasyncns-0.8/missing
libasyncns-0.8/ltmain.sh
libasyncns-0.8/configure.ac
libasyncns-0.8/configure
libasyncns-0.8/install-sh
libasyncns-0.8/doxygen/
libasyncns-0.8/doxygen/doxygen.conf.in
libasyncns-0.8/doxygen/Makefile.in
libasyncns-0.8/doxygen/Makefile.am
libasyncns-0.8/aclocal.m4
libasyncns-0.8/libasyncns/
libasyncns-0.8/libasyncns/Makefile.in
libasyncns-0.8/libasyncns/asyncns.h
libasyncns-0.8/libasyncns/Makefile.am
libasyncns-0.8/libasyncns/asyncns.c
libasyncns-0.8/libasyncns/asyncns-test.c
libasyncns-0.8/config.sub
libasyncns-0.8/doc/
libasyncns-0.8/doc/style.css
libasyncns-0.8/doc/Makefile.in
libasyncns-0.8/doc/README.html
libasyncns-0.8/doc/Makefile.am
libasyncns-0.8/doc/README.html.in
libasyncns-0.8/doc/README
libasyncns-0.8/README
libasyncns.SlackBuild.build: line 54: ./configure: Permission denied

libasyncns:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?: Y

Processing mm-common

mm-common:
mm-common not found in /var/cache/sbopkg.
--2014-08-11 19:42:35--  http://ftp.gnome.org/pub/GNOME/sources/mm-common/0.9/mm-common-0.9.6.tar.xz
Resolving ftp.gnome.org (ftp.gnome.org)... 130.239.18.173, 130.239.18.163, 130.239.18.165, ...
Connecting to ftp.gnome.org (ftp.gnome.org)|130.239.18.173|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 569704 (556K) [application/x-xz]
Saving to: ‘mm-common-0.9.6.tar.xz’

100%[======================================>] 569,704      274KB/s   in 2.0s   

2014-08-11 19:42:40 (274 KB/s) - ‘mm-common-0.9.6.tar.xz’ saved [569704/569704]

Found mm-common-0.9.6.tar.xz in /var/cache/sbopkg.
Checking MD5SUM:
  MD5SUM check for mm-common-0.9.6.tar.xz ... FAILED!
    Expected: 3b23749ab39441c392c016ce74632678
    Found:    db2167296d1277359b4bae9d660f1cc2

Do you want to use the downloaded mm-common source:
mm-common-0.9.6.tar.xz in /var/cache/sbopkg?

You can choose among the following options:
 - (Y)es, keep the source and continue the build process;
 - (N)o, delete the source and abort the build process; or
 - (R)etry download and continue the build process.

(Y)es, (N)o, (R)etry?: Y
    Keeping the source and continuing.
Building package for mm-common...
tar: This does not look like a tar archive
tar: Skipping to next header
tar: Exiting with failure status due to previous errors

mm-common:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?: N

+++++++++++++++++++++++++++++++++++++++++++
SUMMARY LOG
Using the SBo repository for Slackware 14.1
Queue Process:  Download, build, and install

libasyncns:
  MD5SUM check for libasyncns-0.8.tar.gz ... FAILED!
    Expected: 1f553d6ce1ad255bc83b3d8e9384f515
    Found:    3300f1b02420f2e8fcddbfdd4b067265
    Keeping the source and continuing.
  Error occurred with build.  Please check the log.

mm-common:
  MD5SUM check for mm-common-0.9.6.tar.xz ... FAILED!
    Expected: 3b23749ab39441c392c016ce74632678
    Found:    db2167296d1277359b4bae9d660f1cc2
    Keeping the source and continuing.
  Error occurred with build.  Please check the log.

+++++++++++++++++++++++++++++++++++++++++++

###########################################
          Queue process complete!
###########################################

root@darkstar:~#
 
  


Reply

Tags
pulse audio, skype, skype slackware


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Interruptions during Skype to Skype audio calls glupa4e Slackware 6 05-22-2013 02:46 PM
skype: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by skype Xeratul Debian 6 11-24-2012 02:12 AM
latest skype Skype 2.2.0.25 and Slackware --current anti_user Slackware 10 04-07-2011 02:22 PM
qt4-x11 >= 4.2 is needed by skype-2.1.0.47-fc10.i586 (From Installation of SKYPE)RHEL miaomiaoga Linux - Software 8 08-28-2010 07:15 AM
noise in skype to skype calls in skype v2.1 beta for fedora mq15 Linux - Software 0 01-20-2010 12:04 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:45 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration